Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.pointcut.ast
Class TypeExpressionParser

    java.lang.Object
      org.jboss.aop.pointcut.ast.TypeExpressionParser

All Implemented Interfaces:
  TypeExpressionParserConstants, TypeExpressionParserTreeConstants

public class TypeExpressionParser
extends Object
implements TypeExpressionParserTreeConstants, TypeExpressionParserConstants

Field Summary
`Token` | `jj_nt`
`protected org.jboss.aop.pointcut.ast.JJTTypeExpressionParserState` | `jjtree`
`boolean` | `lookingAhead`
`Token` | `token`
`TypeExpressionParserTokenManager` | `token_source`

Fields inherited from interface org.jboss.aop.pointcut.ast.TypeExpressionParserTreeConstants
`JJTALLPARAMETER, JJTAND, JJTATTRIBUTE, JJTBOOLEAN, JJTCLASS, JJTCOMPOSITE, JJTCONSTRUCTOR, JJTEXCEPTION, JJTFIELD, JJTHAS, JJTHASFIELD, JJTMETHOD, jjtNodeName, JJTNOT, JJTOR, JJTPARAMETER, JJTSTART, JJTSUB, JJTVOID`

Fields inherited from interface org.jboss.aop.pointcut.ast.TypeExpressionParserConstants
`ABSTRACT, ALL_PARAMS, AND, ANNOTATION, ARRAY, ARRAY_CLASS, BEHAVIOR, BEHAVIOR_CLOSE, BEHAVIOR_NOT, CLASS, CLASS_EXPR, COMMA, CONSTRUCTOR_EXPR, DEFAULT, DOT, EOF, EXCEPTION_SEPERATOR, FIELD, FIELD_ABSTRACT, FIELD_ANNOTATION, FIELD_ARRAY, FIELD_ARRAY_CLASS, FIELD_CLASS, FIELD_CLOSE, FIELD_DECLARATION, FIELD_DOT, FIELD_FINAL, FIELD_IDENTIFIER, FIELD_INSTANCEOF, FIELD_NATIVE, FIELD_NOT, FIELD_PRIVATE, FIELD_PROTECTED, FIELD_PUBLIC, FIELD_SEPARATOR, FIELD_STATIC, FIELD_SYNCHRONIZED, FIELD_TRANSIENT, FIELD_TYPEDEF, FIELD_WILD_LETTER, FINAL, HAS, HAS_FIELD, IDENTIFIER, INSTANCEOF, METHOD_EXPR, NATIVE, NEW, NOT, OR, PARAM_ANNOTATION, PARAM_ARRAY, PARAM_ARRAY_CLASS, PARAM_CLASS, PARAM_DOT, PARAM_IDENTIFIER, PARAM_INSTANCEOF, PARAM_TYPEDEF, PARAM_WILD_LETTER, PARAMS, PARAMS_CLOSE, PARAMS_OPEN, PRIVATE, PROTECTED, PUBLIC, SEPARATOR, STATIC, SYNCHRONIZED, THROWS, tokenImage, TYPEDEF, WILD_LETTER`

Constructor Summary
`TypeExpressionParser(InputStream stream)`
`TypeExpressionParser(Reader stream)`
`TypeExpressionParser(TypeExpressionParserTokenManager tm)`

Method Summary
`void` | `AllParams()`
`void` | `And()`
`void` | `Attribute()`
`void` | `BooleanExpression()`
`void` | `Class()`
`void` | `CompositeExpression()`
`void` | `Concrete()`
`void` | `ConcreteExpression()`
`void` | `Constructor()`
`void` | `ConstructorAttribute()`
`void` | `ConstructorWrapper()`
`void` | `disable_tracing()`
`void` | `enable_tracing()`
`void` | `Exception()`
`void` | `Expression()`
`void` | `Field()`
`void` | `FieldAttribute()`
`void` | `FieldWrapper()`
`ParseException` | `generateParseException()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`void` | `Has()`
`void` | `HasField()`
`void` | `Method()`
`void` | `MethodWrapper()`
`void` | `Not()`
`void` | `Or()`
`void` | `Parameter()`
`void` | `Parameters()`
`void` | `ReInit(InputStream stream)`
`void` | `ReInit(Reader stream)`
`void` | `ReInit(TypeExpressionParserTokenManager tm)`
`ASTStart` | `Start()`
`void` | `SubExpression()`
`void` | `Throws()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jjtree

    protected org.jboss.aop.pointcut.ast.JJTTypeExpressionParserState jjtree

### token_source

    public TypeExpressionParserTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

Constructor Detail

### TypeExpressionParser

    public TypeExpressionParser(InputStream stream)

### TypeExpressionParser

    public TypeExpressionParser(Reader stream)

### TypeExpressionParser

    public TypeExpressionParser(TypeExpressionParserTokenManager tm)

Method Detail

### Start

    public final ASTStart Start()
                         throws ParseException

  Throws:
    `ParseException`

### Expression

    public final void Expression()
                          throws ParseException

  Throws:
    `ParseException`

### BooleanExpression

    public final void BooleanExpression()
                                 throws ParseException

  Throws:
    `ParseException`

### CompositeExpression

    public final void CompositeExpression()
                                   throws ParseException

  Throws:
    `ParseException`

### Not

    public final void Not()
                   throws ParseException

  Throws:
    `ParseException`

### SubExpression

    public final void SubExpression()
                             throws ParseException

  Throws:
    `ParseException`

### And

    public final void And()
                   throws ParseException

  Throws:
    `ParseException`

### Or

    public final void Or()
                  throws ParseException

  Throws:
    `ParseException`

### ConcreteExpression

    public final void ConcreteExpression()
                                  throws ParseException

  Throws:
    `ParseException`

### Concrete

    public final void Concrete()
                        throws ParseException

  Throws:
    `ParseException`

### Has

    public final void Has()
                   throws ParseException

  Throws:
    `ParseException`

### HasField

    public final void HasField()
                        throws ParseException

  Throws:
    `ParseException`

### FieldWrapper

    public final void FieldWrapper()
                            throws ParseException

  Throws:
    `ParseException`

### MethodWrapper

    public final void MethodWrapper()
                             throws ParseException

  Throws:
    `ParseException`

### ConstructorWrapper

    public final void ConstructorWrapper()
                                  throws ParseException

  Throws:
    `ParseException`

### Method

    public final void Method()
                      throws ParseException

  Throws:
    `ParseException`

### Attribute

    public final void Attribute()
                         throws ParseException

  Throws:
    `ParseException`

### Constructor

    public final void Constructor()
                           throws ParseException

  Throws:
    `ParseException`

### ConstructorAttribute

    public final void ConstructorAttribute()
                                    throws ParseException

  Throws:
    `ParseException`

### Parameters

    public final void Parameters()
                          throws ParseException

  Throws:
    `ParseException`

### Parameter

    public final void Parameter()
                         throws ParseException

  Throws:
    `ParseException`

### AllParams

    public final void AllParams()
                         throws ParseException

  Throws:
    `ParseException`

### Field

    public final void Field()
                     throws ParseException

  Throws:
    `ParseException`

### FieldAttribute

    public final void FieldAttribute()
                              throws ParseException

  Throws:
    `ParseException`

### Class

    public final void Class()
                     throws ParseException

  Throws:
    `ParseException`

### Throws

    public final void Throws()
                      throws ParseException

  Throws:
    `ParseException`

### Exception

    public final void Exception()
                         throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(InputStream stream)

### ReInit

    public void ReInit(Reader stream)

### ReInit

    public void ReInit(TypeExpressionParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.